Subject: Re: [BEHAVE] RFC6052, RFC5735, and "non-global IPv4 addresses" with WKP

From: SM <[email-masked]>
Date: Tue, 05 Jun 2012 15:25:06 -0700

At 01:18 22-05-2012, [email-masked] wrote:
>I hope there are no existing validation codes in DNS64s that would 
>get headache with A record  containing addresses from this 192.0.0.0/24 block?

Is 192.0.0.0/24 global or not?

I am looking this in terms of whether the /24 should be filtered or not.

Regards,
-sm

---

From: Dave Thaler <[email-masked]>
Date: Wed, 6 Jun 2012 01:55:38 +0000

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of SM
> Sent: Tuesday, June 5, 2012 3:25 PM
> To: [email-masked]; Christian Huitema; [email-masked]
> Subject: Re: [BEHAVE] RFC6052, RFC5735, and "non-global IPv4 addresses"
> with WKP
> 
> >I hope there are no existing validation codes in DNS64s that would get
> >headache with A record  containing addresses from this 192.0.0.0/24 block?
> 

RFC 5736 reserves 192.0.0.0/24.  It states:
   7.  The registry will also note, for each designation, the intended
       routing scope of the address, indicating whether the address is
       intended to be routable only in scoped, local, or private
       contexts, or whether the address prefix is intended to be routed
       globally.

So it can be global.   Basically you should assume it's global unless there's
a specific sub-prefix registered that is indicated as being non-global.

The current list of things registered is found at
http://www.iana.org/assignments/iana-ipv4-special-registry/iana-ipv4-special-registry.xml
and the Routing Scope column is particularly relevant.

-Dave

> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave